%bcond_without check

%global goipath         github.com/oklog/run
Version:                1.1.0

%gometa

%global common_description %{expand:
run.Group is a universal mechanism to manage goroutine lifecycles.

Create a zero-value run.Group, and then add actors to it. Actors are defined as
a pair of functions: an execute function, which should run synchronously; and an
interrupt function, which, when invoked, should cause the execute function to
return. Finally, invoke Run, which concurrently runs all of the actors, waits
until the first actor exits, invokes the interrupt functions, and finally
returns control to the caller only once all actors have returned. This
general-purpose API allows callers to model pretty much any runnable task, and
achieve well-defined lifecycle semantics for the group.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Universal mechanism to manage goroutine lifecycles

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
